Bug 227127 - Review Request: xpp3-1.1.3.4-1.o.2jpp - XML Pull Parser
Review Request: xpp3-1.1.3.4-1.o.2jpp - XML Pull Parser
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nuno Santos
Fedora Package Reviews List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-02-02 13:02 EST by Rafael H. Schloming
Modified: 2014-12-01 18:14 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-04-12 11:23:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mwringe: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)
Fixed spec file (5.19 KB, application/octet-stream)
2007-02-12 17:08 EST, Fernando Nasser
no flags Details

  None (edit)
Description Rafael H. Schloming 2007-02-02 13:02:27 EST
Spec URL: http://people.redhat.com/rafaels/specs/xpp3-1.1.3.4-1.o.2jpp.spec
SRPM URL: ftp://jpackage.hmdc.harvard.edu/JPackage/1.7/generic/SRPMS.free/xpp3-1.1.3.4-1.o.2jpp.src.rpm
Description: Xml Pull Parser 3rd Edition (XPP3) MXP1 is a new XmlPull
parsing engine that is based on ideas from XPP and in
particular XPP2 but completely revised and rewritten to
take best advantage of latest JIT JVMs such as Hotspot in JDK 1.4.

Minimal XML pull parser implementation.

Javadoc for xpp3.
Comment 1 Matt Wringe 2007-02-12 15:26:59 EST
RPMLint Issues:
rpmlint xpp3-1.1.3.4-1.o.2jpp.src.rpm
W: xpp3 non-standard-group Text Processing/Markup/XML
E: xpp3 tag-not-utf8 %changelog
W: xpp3 invalid-license Apache Software License -style
E: xpp3 non-utf8-spec-file xpp3.spec

rpmlint xpp3-*
W: xpp3 non-standard-group Text Processing/Markup/XML
E: xpp3 tag-not-utf8 %changelog
W: xpp3 invalid-license Apache Software License -style
W: xpp3-javadoc non-standard-group Development/Documentation
E: xpp3-javadoc tag-not-utf8 %changelog
W: xpp3-javadoc invalid-license Apache Software License -style
W: xpp3-javadoc dangerous-command-in-%post rm
W: xpp3-javadoc dangerous-command-in-%postun rm
W: xpp3-minimal non-standard-group Text Processing/Markup/XML
E: xpp3-minimal tag-not-utf8 %changelog
W: xpp3-minimal invalid-license Apache Software License -style
W: xpp3-minimal no-documentation

MUST:
* package is named appropriately
 - match upstream tarball or project name
 - try to match previous incarnations in other distributions/packagers for
consistency
 - specfile should be %{name}.spec
 - non-numeric characters should only be used in Release (ie. cvs or
   something)

X the "o" in the release looks to come from a release, as such it should
  be part of the version (see the naming guidelines). Since this is jpp
  package, it should also include %{?dist} at the end of the release. It also
  needs to contain the fedora release.

 - for non-numerics (pre-release, CVS snapshots, etc.), see
   http://fedoraproject.org/wiki/Packaging/NamingGuidelines#PackageRelease
 - if case sensitivity is requested by upstream or you feel it should be
   not just lowercase, do so; otherwise, use all lower case for the name
* is it legal for Fedora to distribute this?
 - OSI-approved
 - not a kernel module
 - not shareware
 - is it covered by patents?
 - it *probably* shouldn't be an emulator
 - no binary firmware
* license field matches the actual license.
X this package is actually a BSD style license

* license is open source-compatible.
 - use acronyms for licences where common
* specfile name matches %{name}
* verify source and patches (md5sum matches upstream, know what the patches do)
 - if upstream doesn't release source drops, put *clear* instructions on
   how to generate the the source drop; ie. 
  # svn export blah/tag blah
  # tar cjf blah-version-src.tar.bz2 blah
* skim the summary and description for typos, etc.
* correct buildroot
X incorrect buildroot
 - should be:
   %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

* if %{?dist} is used, it should be in that form (note the ? and %
locations)
X dist needs to be added since jpp

* license text included in package and marked with %doc
* keep old changelog entries; use judgement when removing (too old?
useless?)
* packages meets FHS (http://www.pathname.com/fhs/)
* rpmlint on <this package>.srpm gives no output
 - justify warnings if you think they shouldn't be there
X Many issues listed at top

* changelog should be in one of these formats:

  * Fri Jun 23 2006 Jesse Keating <jkeating@redhat.com> - 0.6-4
  - And fix the link syntax.

  * Fri Jun 23 2006 Jesse Keating <jkeating@redhat.com> 0.6-4
  - And fix the link syntax.

  * Fri Jun 23 2006 Jesse Keating <jkeating@redhat.com>
  - 0.6-4
  - And fix the link syntax.

* Packager tag should not be used
* Vendor tag should not be used
X Vendor and distribution tag should be removed

* use License and not Copyright 
* Summary tag should not end in a period
* if possible, replace PreReq with Requires(pre) and/or Requires(post)
* specfile is legible
 - this is largely subjective; use your judgement
X javadoc linking needs to be changed to the remove rm/ln from the post and
posun javadoc sections

* package successfully compiles and builds on at least x86
* BuildRequires are proper
X will check on mock when other issues are resolved
 - builds in mock will flush out problems here
 - the following packages don't need to be listed in BuildRequires:
   bash
   bzip2
   coreutils
   cpio
   diffutils
   fedora-release (and/or redhat-release)
   gcc
   gcc-c++
   gzip
   make
   patch
   perl
   redhat-rpm-config
   rpm-build
   sed
   tar
   unzip
   which
* Requires are proper
X This package should at least require java

* summary should be a short and concise description of the package
* description expands upon summary (don't include installation
instructions)
* make sure lines are <= 80 characters
* specfile written in American English
* make a -doc sub-package if necessary
 - see
  
http://fedoraproject.org/wiki/Packaging/Guidelines#head-9bbfa57478f0460c6160947a6bf795249488182b
* packages including libraries should exclude static libraries if possible
* don't use rpath
* config files should usually be marked with %config(noreplace)
* GUI apps should contain .desktop files
* should the package contain a -devel sub-package?
* use macros appropriately and consistently
 - ie. %{buildroot} and %{optflags} vs. $RPM_BUILD_ROOT and $RPM_OPT_FLAGS
* don't use %makeinstall
* locale data handling correct (find_lang)
 - if translations included, add BR: gettext and use %find_lang %{name} at the
   end of %install
* consider using cp -p to preserve timestamps
* split Requires(pre,post) into two separate lines
* package should probably not be relocatable
* package contains code
 - see http://fedoraproject.org/wiki/Packaging/Guidelines#CodeVsContent
 - in general, there should be no offensive content
* package should own all directories and files
* there should be no %files duplicates
* file permissions should be okay; %defattrs should be present
* %clean should be present
* %doc files should not affect runtime
* if it is a web apps, it should be in /usr/share/%{name} and *not* /var/www
* verify the final provides and requires of the binary RPMs
* run rpmlint on the binary RPMs
X Many issues listed at top

SHOULD:
* package should include license text in the package and mark it with %doc
* package should build on i386
* package should build in mock
X will check on mock when current issues are resolved
Comment 2 Fernando Nasser 2007-02-12 17:07:21 EST
New SRPM:  http://people.redhat.com/fnasser/xpp3-1.1.3.8-1jpp.1.src.rpm
Comment 3 Fernando Nasser 2007-02-12 17:08:24 EST
Created attachment 147940 [details]
Fixed spec file
Comment 4 Fernando Nasser 2007-02-12 17:18:22 EST
Removed weird release.

Checked License (Apache-style)

Waiting for Buildroot discussions conclusion on fedora-packaging

fedora release appended

Removed vendor and distribution tags

Requires java and jpackage-utils
Comment 5 Deepak Bhole 2007-02-14 21:04:13 EST
Fixed spec and srpm:

http://people.redhat.com/dbhole/fedora/xpp3/

Fixed license to BSD-style
Added req for java and jpackage-utils
Fixed file encoding
Fixed doc linking
Comment 6 Matt Wringe 2007-02-14 23:28:03 EST
rpmlint on binary rpms:
W: xpp3 non-standard-group Text Processing/Markup/XML
+ok
W: xpp3-minimal non-standard-group Text Processing/Markup/XML
+ok
W: xpp3-minimal no-documentation
X xpp3-minimal should have the licensing docs

rpmlint on source rpm:
W: xpp3 non-standard-group Text Processing/Markup/XML
+ ok

One other note, the minimal package is missing requires
Comment 7 Deepak Bhole 2007-02-15 12:52:18 EST
http://people.redhat.com/dbhole/fedora/xpp3/

Fixed requirements
Comment 8 Matt Wringe 2007-02-15 20:50:56 EST
Approved
Comment 9 Nuno Santos 2007-02-21 16:35:06 EST
New Package CVS Request
=======================
Package Name: xpp3-1.1.3.4-1.o.2jpp
Short Description: XML Pull Parser
Owners: nsantos@redhat.com
Branches: FC-7
InitialCC: rafaels@redhat.com,dbhole@redhat.com
Comment 10 Bernard Johnson 2007-04-11 18:48:43 EDT
Pardon the bugzilla spam.  This package appears to have been approved, imported,
and built.

If that is the case, please close this bug RESOLVE -> NEXTRELEASE as documented
in the package review process:
http://fedoraproject.org/wiki/PackageReviewProcess?#head-df921556b35438a4c78b4b6a790151ea568e8f9e
Comment 11 Lubomir Rintel 2010-07-19 05:54:37 EDT
Package Change Request
======================
Package Name: xpp3
New Branches: EL-6
Owners: lkundrak

I have a package that depends on this. I mailed the maintainer, but he orphaned the package in devel and forwarded the message to dbhole. He neither picked the package in Fedora yet, nor responded yet. I'll be very happy to pass maintainership of the branch to him if he expressed will to take care of it.

Mail date header (of the response cced to dbhole, not my original message): Mon, 12 Jul 2010 17:05:46 -0400 (07/12/2010 11:05:46 PM)
Comment 12 Kevin Fenzi 2010-07-19 23:12:58 EDT
CVS done (by process-cvs-requests.py).

Note You need to log in before you can comment on or make changes to this bug.